###############################################################################
## $Id: crash-n-burn.nas,v 1.3 2008-11-16 21:03:44 anders Exp $
##
##  An automatic fire starter for WildFire.
##
##  Copyright (C) 2008  Anders Gidenstam  (anders(at)gidenstam.org)
##  This file is licensed under the GPL license version 2 or later.
##
###############################################################################

# Usage:
#   Put this file in ~/.fgfs/Nasal/ or $FG_ROOT/Nasal/ and all YASim
#   aircraft will cause fires when crashing.
#
# NOTE: Only works with YASim aircraft at this time.

var loopid = 0;

var check_state = func (id) {
    if (loopid != id) return;

    if (getprop("/sim/crashed")) {
        print("Crashed!!!");
        wild_fire.pyromaniac(geo.aircraft_position());
    } else {
        settimer(func { check_state(id) }, 1.13);
    }
}

_setlistener("/sim/signals/fdm-initialized", func {
    if (!contains(globals, "wild_fire")) return;
    
    setlistener("sim/crashed", func(n) {
        print("crashed ", n.getValue());
        if (n.getBoolValue())
            wild_fire.pyromaniac(geo.aircraft_position());
    });
});

